---------------------------------------------------------------------------
-- Dark Iron Webcomics
--
-- Logo Pack for the ArcadiaLogos addon
--
-- By Iriel (iriel@vigilance-committee.org)
---------------------------------------------------------------------------
-- NOTE:
--
-- Since Keepers of the Wang have two logos in play I've made versions of
-- both of them, but selected the one which I find helps me identify the
-- guild more easily. Both versions are in the Icons directory, the addon
-- will show KeepersOfTheWang.tga, but you can replace this file with
-- KeepersOfTheWangAlt.tga if you want to use the other wang logo.
---------------------------------------------------------------------------

-- Base path to icons
local basePath = "Interface\\Addons\\ArcadiaLogos\\Icons\\";

-- ALLIANCE Guild logo table (use "" for unknown logo)
local allianceLogoTable = {
   -- Alliance guilds -- Cool logos
   ["Knights of Arcadia"] = basePath .. "KnightsOfArcadia.tga",
   ["Fancy Lads"] = basePath .. "FancyLads.tga",
   ["Annarchy"] = basePath .. "Annarchy.tga",
   ["Keepers of the Wang"] = basePath .. "KeepersOfTheWang.tga",
   ["KotW"] = basePath .. "KeepersOfTheWang.tga",
   ["The CTS Dojo"] = basePath .. "CTSDojo.tga",
   ["Disciples of Divx"] = basePath .. "DisciplesDivx.tga",

   -- Those without logos yet
   ["The Cardboard Samurai"] = "",
   ["Fruit Fockers"] = "",
   ["Testicorp"] = "",
   ["Wang Fu"] = "",
   ["Kansas City Hotsteppers"] = "",

   -- Unconfirmed by Iriel
   ["PAX Imperialis"] = "",
   ["The Crocotillian"] = "",
}

-- HORDE Guild logo table (use "" for unknown logo)
local hordeLogoTable = {
   -- Horde guilds with logos
   ["Panda Attack"] = basePath .. "PandaAttack.tga",
   ["Djörk"] = basePath .. "Djork.tga",
   ["The Rapscallions"] = basePath .. "Rapscallions.tga",
   ["The Bloody Carrots"] = basePath .. "BloodyCarrots.tga",
   ["Face on Fire"] = basePath .. "FaceOnFire.tga",

   -- And any without
}

-- Create the logo pack itself
local logoPack = {
   packName = "ArcadiaLogos Webcomics",
   realmName = "Dark Iron",

   allianceLogos = allianceLogoTable,
   hordeLogos = hordeLogoTable
};

-- Register the logo pack
ArcadiaLogosAPI.RegisterLogoPack(logoPack);

---------------------------------------------------------------------------